import {
  createPageContext,
  createSearchContext,
  createTableSearchContext,
} from '@hooks';
import {GetReceiveListParams, OriginalListParams} from '@models';

export const pageContext = createPageContext();
export const searchContext = createSearchContext();

export const contextState: OriginalListParams<GetReceiveListParams> = {
  orderCode: '',
  materialCode: '',
  materialName: '',
  wbs: '',
  supplierId: '',
  companyNumber: '',
};
export const context = createTableSearchContext(contextState);
